apiVersion: v1
kind: Service
metadata:
  labels:
    app.kubernetes.io/component: controller
    app.kubernetes.io/instance: ingress-nginx
    app.kubernetes.io/name: ingress-nginx
    app.kubernetes.io/part-of: ingress-nginx
    app.kubernetes.io/version: {{ k8s_ingress_nginx_chart_version }}
  name: ingress-nginx-controller-lb-{{ k8s_ingress_lb_suffix }}
  namespace: ingress-nginx
  annotations:
    service.beta.kubernetes.io/openstack-internal-load-balancer: "true"
{% for key, value in k8s_ingress_nginx_annotations.items() %}
    {{ key }}: "{{ value }}"
{% endfor %}
spec:
{% if k8s_ingress_lb_class %}
  loadBalancerClass: {{ k8s_ingress_lb_class }}
{% endif %}
  ports:
{% if k8s_ingress_nginx_enable_http %}
  - appProtocol: http
    name: http
    port: 80
    protocol: TCP
    targetPort: http
    nodePort: {{ k8s_ingress_nginx_chart_http_node_port }}
{% endif %}
{% if k8s_ingress_nginx_enable_https %}
  - appProtocol: https
    name: https
    port: 443
    protocol: TCP
    targetPort: https
    nodePort: {{ k8s_ingress_nginx_chart_https_node_port }}
{% endif %}
  selector:
    app.kubernetes.io/component: controller
    app.kubernetes.io/instance: ingress-nginx
    app.kubernetes.io/name: ingress-nginx
  type: LoadBalancer
{% if k8s_ingress_lb_ip %}
  loadBalancerIP: {{ k8s_ingress_lb_ip }}
{% endif %}
